Bug 805468 - Review Request: weld-core - Reference Implementation for JSR-299: Contexts and Dependency Injection (CDI)
Summary: Review Request: weld-core - Reference Implementation for JSR-299: Contexts an...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Marek Goldmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 802909 803376 803381 804824
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-21 11:56 UTC by Juan Hernández
Modified: 2012-04-12 03:31 UTC (History)
3 users (show)

Fixed In Version: weld-core-1.1.5-3.AS71.Final.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-12 03:31:21 UTC
Type: ---
mgoldman: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Juan Hernández 2012-03-21 11:56:40 UTC
Spec URL:

http://jhernand.fedorapeople.org/rpms/weld-core/1.1.5-2.AS71.Final/weld-core.spec

SRPM URL:

http://jhernand.fedorapeople.org/rpms/weld-core/1.1.5-2.AS71.Final/weld-core-1.1.5-2.AS71.Final.fc18.noarch.rpm

Description:

Weld is the reference implementation (RI) for JSR-299: Java Contexts and
Dependency Injection for the Java EE platform (CDI). CDI is the Java standard
for dependency injection and contextual lifecycle management, and integrates
cleanly with the Java EE platform. Any Java EE 6-compliant application server
provides support for JSR-299 (even the web profile).

Comment 1 Marek Goldmann 2012-04-02 08:11:56 UTC
I'll take it.

Comment 2 Juan Hernández 2012-04-02 08:32:39 UTC
In included the binary RPM instead of the source RPM by mistake. The source RPM is here:

http://jhernand.fedorapeople.org/rpms/weld-core/1.1.5-2.AS71.Final/weld-core-1.1.5-2.AS71.Final.fc18.src.rpm

Comment 3 Marek Goldmann 2012-04-02 09:24:12 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

$ rpmlint SPECS/weld-core.spec 
SPECS/weld-core.spec: W: invalid-url Source0: weld-core-1.1.5.AS71.Final.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
$ rpmlint SRPMS/weld-core-1.1.5-2.AS71.Final.fc17.src.rpm 
weld-core.src: I: enchant-dictionary-not-found en_US
weld-core.src: W: invalid-url Source0: weld-core-1.1.5.AS71.Final.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
$ rpmlint RPMS/noarch/weld-core-1.1.5-2.AS71.Final.fc17.noarch.rpm 
weld-core.noarch: I: enchant-dictionary-not-found en_US
weld-core.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0 and LGPLv2+ and (CDDL or GPLv2 with exceptions)
[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : c8141d51a68210d2002c3dd0a84b4647
MD5SUM upstream package: e50628fd427668c2291589f740a218ae

This is a git export, allgood.

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[!]  If source tarball includes bundled jar/class files these need to be removed prior to building

./examples/lib/maven/lib/maven-2.0.10-uber.jar
./examples/lib/maven/boot/classworlds-1.1.jar
./examples/lib/maven-ant-tasks.jar

Please remove the jars while exporting. This could be done like this:

# git clone git://github.com/weld/core.git weld-core
# cd weld-core && git checkout 1.1.5.AS71.Final && git checkout-index -f -a --prefix=weld-core-1.1.5.AS71.Final/
# find weld-core-1.1.5.AS71.Final -name '*.jar' -delete
# tar -cJf weld-core-1.1.5.AS71.Final-CLEAN.tar.xz weld-core-1.1.5.AS71.Final

[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.

There is newer version, but this is prepared to work with AS7, allgood.

[x]  Reviewer should test that the package builds in mock.
Tested on:

locally

=== Issues ===
1. Please remove the jars from the tarball. See above.

Comment 4 Juan Hernández 2012-04-02 09:56:20 UTC
Removed binaries from the tarball, as suggested. The updated spec and source package are available here:

http://jhernand.fedorapeople.org/rpms/weld-core/1.1.5-3.AS71.Final

Comment 5 Marek Goldmann 2012-04-02 14:28:39 UTC
Looks good now, thanks!

Tested on koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3956896

================
*** APPROVED ***
================

Comment 6 Juan Hernández 2012-04-02 14:31:16 UTC
New Package SCM Request
=======================
Package Name: weld-core
Short Description: Reference Implementation for JSR-299: Contexts and Dependency Injection (CDI)
Owners: jhernand
Branches: f17
InitialCC: goldmann

Comment 7 Gwyn Ciesla 2012-04-02 14:55:59 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2012-04-02 17:38:58 UTC
weld-core-1.1.5-3.AS71.Final.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/weld-core-1.1.5-3.AS71.Final.fc17

Comment 9 Fedora Update System 2012-04-04 21:08:44 UTC
weld-core-1.1.5-3.AS71.Final.fc17 has been pushed to the Fedora 17 testing repository.

Comment 10 Fedora Update System 2012-04-12 03:31:21 UTC
weld-core-1.1.5-3.AS71.Final.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.